Get Changeset Status by Name

get

/pdc/changeset/status/by-names

Returns the status of a changeset by its name.

Request

Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The request was processed successfully.
Body ()
Root Schema : ChangeSetStatusEnvelope
Type: object
Container for a changeset status report.
Show Source
Nested Schema : ChangeSetStatusReport
Type: object
Report containing changeset status details and warnings.
Show Source
Nested Schema : changeSets
Type: array
Lists the changesets that PDC found and processed.
Show Source
Nested Schema : ChangeSet
Type: object
Status information for a single changeset.
Show Source
Nested Schema : transformations
Type: array
Provides status details for each transformation that PDC performed for the changeset.
Show Source
Nested Schema : Transformation
Type: object
Status information for a changeset transformation job.
Show Source
  • Identifies the transformation job.
    Example: 14233
  • Reports the transformation job’s current status.
    Example: DISPATCHED
  • Specifies the target system or transformation type, such as ECE, BRE, or RRE.
    Example: ECE
Back to Top

Examples

The following example shows how to get the status of change sets by name by submitting a GET request on the REST resource using cURL. For more information, see Use cURL.

curl -X GET 'http://hostname:port/pdc/changeset/status/by-names?names=ieChangeSetTue%20Mar%2017%2000%3A54%3A34%20PDT%202026,myname'

Example of Response Body

If successful, the response code 200 is returned along with a changeSetStatusReport in JSON format containing changeset IDs, names, statuses, transformation details, and any warnings:

{
  "changeSetStatusReport": {
    "changeSets": [
      {
        "changeSetId": "39158",
        "changeSetName": "ieChangeSetTue Mar 17 00:54:34 PDT 2026",
        "changeSetStatus": "PENDING",
        "transformations": [
          {
            "jobId": 39143,
            "jobStatus": "COMPLETED",
            "type": "BRE"
          },
          {
            "jobId": 39651,
            "jobStatus": "DISPATCHED",
            "type": "ECE"
          },
          {
            "jobId": 39709,
            "jobStatus": "COMPLETED",
            "type": "RRE"
          }
        ]
      }
    ],
    "warning": "Warning: The following ChangeSet Name(s) were invalid or not found: myname"
  }
}
Back to Top